[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomFrame.SetColor

Sets the value for the Color property.

## Declaration

Source position: forms.pp line 326

`protected procedure TCustomFrame.SetColor(`
`Value: TColor`
`); override;`

## Arguments

`Value` |  | New value for the property.

## Description

SetColor is an overridden method in TCustomFrame used to set the value for the Color property. It calls the inherited method on entry.

When the value for the Color property is set to clDefault, or has the same value as the Color property in Parent, no additional actions are performed in the method. Otherwise, the value in ParentBackground is set to False.

## See also

TCustomFrame.ParentBackground |  | Indicates if the control uses the background from the parent.
TControl.Color |  | The background color for the control.